Name:           dovecot-fts-flatcurve
Version:        1.0.4
Release:        5%{?dist}
Summary:        FTS Flatcurve Dovecot (2.3.x) Full Text Search (FTS) Plugin

License:        LGPL-2.1-or-later
URL:            https://slusarz.github.io/dovecot-fts-flatcurve/
Source0:        https://github.com/slusarz/dovecot-fts-flatcurve/archive/refs/tags/v%{version}.tar.gz
Source1:        90-fts-flatcurve.conf

BuildRequires:  autoconf automake libtool gcc-c++ dovecot-devel xapian-core-devel
Requires:       dovecot > 1:2.2, dovecot < 1:2.4
Requires:       xapian-core > 1.2.22

%description
This is a Dovecot FTS (Full Text Search) plugin to enable message
indexing using the Xapian Open Source Search Engine Library.

The plugin relies on Dovecot to do the necessary stemming.
It is intended to act as a simple interface to the Xapian storage/search query functionality.

This driver supports match scoring and substring matches, which means it is
RFC 3501 (IMAP4rev1) compliant (although substring searches are off by default).
This driver does not support fuzzy searches, as there is no built-in support in Xapian for it.

The driver passes all of the ImapTest search tests.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
./autogen.sh
%configure --disable-static --with-dovecot=%{_libdir}/dovecot
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/dovecot/conf.d %{SOURCE1} 

%{?ldconfig_scriptlets}


%files
%license COPYING
%doc README.md AUTHORS
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/*
%{_libdir}/*

%files devel
%doc README.md
%{_includedir}/*


%changelog
* Sun Aug 18 2024 Daniel Demus <daniel-github@demus.dk>
- 
